OpenWrt 19.07.0 first stable release x WRT32x x Unbound

In this topic:

https://forum.openwrt.org/t/openwrt-19-07-0-first-stable-release/52186

One user @imk82, states one problem with this new version with Wrt32x in the "unbound package" :

Updated a WRT32X to 19.07.0.

Works so far except on issue: I cannot get unbound to work. The package is not found via opkg.

Collected errors:

  • opkg_install_cmd: Cannot install package unbound.

Has anyone a tip or suggestion here? Unfortunately this is a showstopper for me because I have to rework my whole setup.

I sent message to Robert, but unfortally I don't receive any replied. I would like know what this unbound package do? This error will bring some problem with my OpenVPN installation? I made any searches but It wasn't to productive.

I just installed in my router( Openwrt 18.6.5) the OpenVPN and it's working very well and I am worried to update after this problem stated by @imk82. I'm a basic user and I never made the process to unbrick one router...

I'm waiting learn more about this to go ahead in the new version 19.7.0.

Thanks for your time!

have you tried luci-app-unbound? maybe the package names changed

root@home:~# opkg list | grep unbound
adblock - 3.8.14-1 - Powerful adblock script to block ad/abuse domains via dnsmasq, unbound, named or kresd. The script supports many domain blacklist sites plus manual black- and whitelist overrides. Please see https://github.com/openwrt/packages/blob/master/net/adblock/files/README.md for further information.
asterisk16-res-resolver-unbound - 16.3.0-5 - Unbound DNS resolver support.
libunbound - 1.9.6-1 - This package contains the Unbound shared library with basic includes necessary to meet the needs of UCI/LuCI configuration optoins.
libunbound-heavy - 1.9.6-1 - This package contains the Unbound shared library including 'libevent' and 'libpthread' to better handle large networks with heavy query loads.
luci-app-unbound - git-20.006.26738-35aa527-1 - Unbound Recursive DNS Resolver Configuration
luci-i18n-unbound-bg - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - български (Bulgarian)
luci-i18n-unbound-ca - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Català (Catalan)
luci-i18n-unbound-cs - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Čeština (Czech)
luci-i18n-unbound-de - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Deutsch (German)
luci-i18n-unbound-el - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Ελληνικά (Greek)
luci-i18n-unbound-en - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - English
luci-i18n-unbound-es - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Español (Spanish)
luci-i18n-unbound-fr - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Français (French)
luci-i18n-unbound-he - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - עִבְרִית (Hebrew)
luci-i18n-unbound-hi - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - हिंदी (Hindi)
luci-i18n-unbound-hu - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Magyar (Hungarian)
luci-i18n-unbound-it - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Italiano (Italian)
luci-i18n-unbound-ja - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - 日本語 (Japanese)
luci-i18n-unbound-ko - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - 한국어 (Korean)
luci-i18n-unbound-mr - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - मराठी (Marathi)
luci-i18n-unbound-ms - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Bahasa Melayu (Malay)
luci-i18n-unbound-nb_NO - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound -
luci-i18n-unbound-pl - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Polski (Polish)
luci-i18n-unbound-pt - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Português (Portuguese)
luci-i18n-unbound-pt_BR - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound -
luci-i18n-unbound-ro - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Română (Romanian)
luci-i18n-unbound-ru - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Русский (Russian)
luci-i18n-unbound-sk - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Slovenčina (Slovak)
luci-i18n-unbound-sv - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Svenska (Swedish)
luci-i18n-unbound-tr - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Türkçe (Turkish)
luci-i18n-unbound-uk - git-20.006.26738-35aa527-1 - Translation for luci-app-unbound - Українська (Ukrainian)`ains the Unbound control setup utility.
unbound-daemon - 1.9.6-1 - This package contains the Unbound daemon with basic includes necessary to meet the needs of UCI/LuCI configuration optoins.
unbound-daemon-heavy - 1.9.6-1 - This package contains the Unbound daemon including 'libevent' and 'libpthread' to better handle large networks with heavy query loads.
unbound-host - 1.9.6-1 - This package contains the Unbound DNS lookup utility.

I free the process of update after the states of @imk82 that I told...

I would like to know more about this unbound package. What this do? This can brick my router? I can setup the OpenVpn with no trouble? I would like to know more to go ahead in this process...

Thanks

Unbound is a DNS server.

Sorry for for my dummie question, I will use this if I'm use the OpenVpn(Server) in my router?

You already have a DNS server on your default OpenWrt installation (dnsmasq handles DHCP and DNS by default).

No need to further complicate your setup unless you need stuff Unbound offers and dnsmasq doesn't.

2 Likes

https://openwrt.org/docs/guide-user/services/dns/unbound

1 Like

This topic was automatically closed 10 days after the last reply. New replies are no longer allowed.